Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a decision model
        • Retrieve decision models
        • Retrieve a decision model
        • Update a decision model
        • Retrieve revisions
        • Retrieve a revision
        • Retrieve variants
  1. REST API Decision model
  1. Sitecore Personalize developer documentation
  2. REST APIs

Retrieve a revision of a decision model

GET /v2/decisionModelDefinitions/<decisionModelRef>/revisions/revisionRef

Retrieves a revision of a decision model.

AttributeTypeDescriptionExample
decisionModelRefstringThe reference of the decision model.

If you do not know the decision model reference, first retrieve decision models.
865ce079-6012-4f97-bc46-07215691a178
revisionrefstringThe reference of the revision.

If you do not know the revision reference, first retrieve revisions.
3
curl -X GET '<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions/3' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
  "type": "string",
  "clientKey": "string",
  "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions/3",
  "ref": "865ce079-6012-4f97-bc46-07215691a178",
  "name": "Manage my booking 642144215",
  "description": "discount seasonal offers",
  "modifiedByUserRef": "f58e3f5a-dc4a-4dde-acf9-998580eb1975",
  "modifiedAt": "2026-10-05T08:`36:57`.916Z",
  "revision": 3,
  "revisionComment": "increase discount",
  "archived": false,
  "deploymentConfiguration": {
    "variants": [
      {
        "variantRef": "9c82d8c4-ea15-4a2b-b78b-a968563a3f21",
        "split": 100,
        "status": "PRODUCTION",
        "variantRevision": 0
      }
    ]
  },
  "tags": [
    "seasonal"
  ],
  "variants": {
    "type": "string",
    "href": "<baseURL>/v2/decisionModelDefinitions/9c82d8c4-ea15-4a2b-b78b-a968563a3f21/variants"
  },
  "revisions": {
    "type": "string",
    "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions/2"
  }
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use